<main *ngIf="!!articleData; else empty">
  <div class="article_wrapper">
    <div class="navigation_list">
      <div class="navigation_list__item">
        <h6>
          <a routerLink=''>
            Home page
          </a>
        </h6>
      </div>
      <div class="navigation_list__item">
        <h6>
          <a class="article_active">
            Article
          </a>
        </h6>
      </div>
    </div>
    <div>
      <div class="centered_content">
        <h2>{{articleData.title}}</h2>
        <div class="article_picture" [ngStyle]="backgroundImageUrl"></div>
        <div *ngFor="let subtitle of articleData.subTitles; index as i">
          <h3>
            {{subtitle}}
          </h3>
          <p class="article_text">
            {{articleData.contents[i]}}
          </p>
        </div>
        <hr>
        <address>
         Written by {{articleData.author}}
        </address>
        <div class="article_tags_list">
          <div *ngFor="let tag of articleData.tags"
               class="article_tags">
            {{tag}}
          </div>
        </div>
      </div>
    </div>
  </div>
</main>

<ng-template #empty>
  <app-spinner [spinnerStyle]="spinnerStyle"></app-spinner>
</ng-template>
